
/**
 * Clase utilizada para representar una agrupación de figuras geométricas.
 * 
 * @author Josep Silva 
 * @version 2 Octubre 2012
 */

public class GrupoFiguras
{
    static final int MAX_NUM_FIGURAS = 10;
    private Figura [] listaFiguras = new Figura [MAX_NUM_FIGURAS];
    private int numF=0;

    //Constructor
    public GrupoFiguras(){}

    public int numFiguras() 
    {
        return numF;
    }

    public void anyadeFigura(Figura f) 
    {
        listaFiguras[numF++]= f;
    }
    
    public int numeroCirculos()
    {
        int circulos=0;
        
        for(int i=0; i<numF; i++)
        {
           if (listaFiguras[i] instanceof Circular)
           {
                circulos = circulos + ((Circular) listaFiguras[i]).numeroCirculos();
           }
        }   
        
        return circulos;
    }
}
